package com.steerinfo.meterwork.meterworkcalibrationmain.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterWorkCalibrationMain implements IBasePO<String> {
    /**
     * 校秤编号(CALIBRATION_MAIN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="校秤编号",required=true)
    private String calibrationMainNo;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String baseSpotName;

    /**
     * 计量点类型编号(SPOT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点类型编号",required=true)
    private String spotTypeNo;

    /**
     * 计量点类型名称(SPOT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量点类型名称",required=true)
    private String spotTypeName;

    /**
     * 校秤有效次数(CALIBRATION_NUM,DECIMAL,3)
     */
    @ApiModelProperty(value="校秤有效次数",required=false)
    private Integer calibrationNum;

    /**
     * 校秤类型编号(CALIBRATION_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="校秤类型编号",required=true)
    private String calibrationTypeNo;

    /**
     * 校秤类型名称(CALIBRATION_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="校秤类型名称",required=true)
    private String calibrationTypeName;

    /**
     * 校秤实际有效次数(CALIBRATION_ACT_NUM,DECIMAL,3)
     */
    @ApiModelProperty(value="校秤实际有效次数",required=false)
    private Integer calibrationActNum;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=false)
    private String valueFlag;

    /**
     * 校秤对比计量点编号(BASE_CONTRAST_SPOT_NO,VARCHAR,200)
     */
    @ApiModelProperty(value="校秤对比计量点编号",required=true)
    private String baseContrastSpotNo;

    /**
     * 校秤对比计量点名称(BASE_CONTRAST_SPOT_NAME,VARCHAR,400)
     */
    @ApiModelProperty(value="校秤对比计量点名称",required=true)
    private String baseContrastSpotName;

    /**
     * 校秤成功对比点编号(BASE_SUCC_CONT_SPOT_NO,VARCHAR,200)
     */
    @ApiModelProperty(value="校秤成功对比点编号",required=true)
    private String baseSuccContSpotNo;

    /**
     * 校秤成功对比点名称(BASE_SUCC_CON_SPOT_NAME,VARCHAR,400)
     */
    @ApiModelProperty(value="校秤成功对比点名称",required=true)
    private String baseSuccConSpotName;

    /**
     * 校秤时间(CALIBRATION_MAIN_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="校秤时间",required=false)
    private Date calibrationMainTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.calibrationMainNo;
    }

    @Override
    public void setId(String calibrationMainNo) {
        this.calibrationMainNo = calibrationMainNo == null ? null : calibrationMainNo.trim();
    }

    public String getCalibrationMainNo() {
        return calibrationMainNo;
    }

    public void setCalibrationMainNo(String calibrationMainNo) {
        this.calibrationMainNo = calibrationMainNo == null ? null : calibrationMainNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getSpotTypeNo() {
        return spotTypeNo;
    }

    public void setSpotTypeNo(String spotTypeNo) {
        this.spotTypeNo = spotTypeNo == null ? null : spotTypeNo.trim();
    }

    public String getSpotTypeName() {
        return spotTypeName;
    }

    public void setSpotTypeName(String spotTypeName) {
        this.spotTypeName = spotTypeName == null ? null : spotTypeName.trim();
    }

    public int getCalibrationNum() {
        return calibrationNum;
    }

    public void setCalibrationNum(int calibrationNum) {
        this.calibrationNum = calibrationNum;
    }

    public String getCalibrationTypeNo() {
        return calibrationTypeNo;
    }

    public void setCalibrationTypeNo(String calibrationTypeNo) {
        this.calibrationTypeNo = calibrationTypeNo == null ? null : calibrationTypeNo.trim();
    }

    public String getCalibrationTypeName() {
        return calibrationTypeName;
    }

    public void setCalibrationTypeName(String calibrationTypeName) {
        this.calibrationTypeName = calibrationTypeName == null ? null : calibrationTypeName.trim();
    }

    public int getCalibrationActNum() {
        return calibrationActNum;
    }

    public void setCalibrationActNum(int calibrationActNum) {
        this.calibrationActNum = calibrationActNum;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getBaseContrastSpotNo() {
        return baseContrastSpotNo;
    }

    public void setBaseContrastSpotNo(String baseContrastSpotNo) {
        this.baseContrastSpotNo = baseContrastSpotNo == null ? null : baseContrastSpotNo.trim();
    }

    public String getBaseContrastSpotName() {
        return baseContrastSpotName;
    }

    public void setBaseContrastSpotName(String baseContrastSpotName) {
        this.baseContrastSpotName = baseContrastSpotName == null ? null : baseContrastSpotName.trim();
    }

    public String getBaseSuccContSpotNo() {
        return baseSuccContSpotNo;
    }

    public void setBaseSuccContSpotNo(String baseSuccContSpotNo) {
        this.baseSuccContSpotNo = baseSuccContSpotNo == null ? null : baseSuccContSpotNo.trim();
    }

    public String getBaseSuccConSpotName() {
        return baseSuccConSpotName;
    }

    public void setBaseSuccConSpotName(String baseSuccConSpotName) {
        this.baseSuccConSpotName = baseSuccConSpotName == null ? null : baseSuccConSpotName.trim();
    }

    public Date getCalibrationMainTime() {
        return calibrationMainTime;
    }

    public void setCalibrationMainTime(Date calibrationMainTime) {
        this.calibrationMainTime = calibrationMainTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", calibrationMainNo=").append(calibrationMainNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", spotTypeNo=").append(spotTypeNo);
        sb.append(", spotTypeName=").append(spotTypeName);
        sb.append(", calibrationNum=").append(calibrationNum);
        sb.append(", calibrationTypeNo=").append(calibrationTypeNo);
        sb.append(", calibrationTypeName=").append(calibrationTypeName);
        sb.append(", calibrationActNum=").append(calibrationActNum);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", baseContrastSpotNo=").append(baseContrastSpotNo);
        sb.append(", baseContrastSpotName=").append(baseContrastSpotName);
        sb.append(", baseSuccContSpotNo=").append(baseSuccContSpotNo);
        sb.append(", baseSuccConSpotName=").append(baseSuccConSpotName);
        sb.append(", calibrationMainTime=").append(calibrationMainTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}